Adobe will not print PDF LMDE 64 [SOLVED]

Questions about applications and software
Forum rules
Before you post please read this

Adobe will not print PDF LMDE 64 [SOLVED]

Postby BoredOOMM on Sun Oct 09, 2011 12:31 am

Weird, I can open PDF with document viewer and print, but Acroread will not print at all. I get the error that perhaps printer is not connected. Remove in Printers and verify shared and also printed test page from printer Admin and from CUPS admin.

yet lsusb shows... the printer is enabled and I can also see within HPLIP GUI :?

LMDE 3.0.0.1-amd64 with Update 3 installed.


Code: Select all
~ $ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0424:2504 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 003: ID 152d:2329 JMicron Technology Corp. / JMicron USA Technology Corp. JM20329 SATA Bridge
Bus 001 Device 004: ID 04b8:0119 Seiko Epson Corp. Perfection 4490 Photo
Bus 001 Device 005: ID 03f0:8904 Hewlett-Packard DeskJet 6940 series
Bus 005 Device 002: ID 045e:00f9 Microsoft Corp. Wireless Desktop Receiver 3.1
Bus 001 Device 007: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Last edited by BoredOOMM on Sun Oct 09, 2011 3:51 pm, edited 1 time in total.
BoredOOMM
Level 1
Level 1
 
Posts: 23
Joined: Wed Jul 29, 2009 11:20 pm

Linux Mint is funded by ads and donations.
 

Re: Adobe will not print PDF LMDE

Postby Elisa on Sun Oct 09, 2011 2:31 am

I suggest to open your app (Acroread) in terminal. Simply type acroread or how it's called in terminal and when it opens (don't close terminal), load desired pdf to it and try print.
If failed, look at the terminal output and post to pastebin and here paste your pastebin url to see the possible errors.
Linux/Unix is about freedom, Windows about slavery.

md5 / sha1 check [how-to for NEWBIES] :idea:

Image
Score: 43 I have some hippie in me. Cool, man 8)
Take the elitemrp.net "Are you a Hippie?" Test
User avatar
Elisa
Level 6
Level 6
 
Posts: 1425
Joined: Wed Aug 18, 2010 6:46 am

Re: Adobe will not print PDF LMDE

Postby BoredOOMM on Sun Oct 09, 2011 11:51 am

Elisa wrote:I suggest to open your app (Acroread) in terminal. Simply type acroread or how it's called in terminal and when it opens (don't close terminal), load desired pdf to it and try print.
If failed, look at the terminal output and post to pastebin and here paste your pastebin url to see the possible errors.


I am the same BoredOOMM on other boards, but am at a loss how to use pastebin.

Do I simply paste the url like this? http://pastebin.com/MDtH6VqK

Code: Select all
(acroread-en:12136): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
 
(acroread-en:12136): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
/usr/lib/gio/modules/libdconfsettings.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libdconfsettings.so
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
/usr/lib/gio/modules/libgiogconf.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiogconf.so
/usr/lib/gio/modules/libgsettingsgconfbackend.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgsettingsgconfbackend.so
/usr/lib/gio/modules/libgiognutls.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiognutls.so
/usr/lib/gio/modules/libgiognomeproxy.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiognomeproxy.so
/usr/lib/gio/modules/libgiolibproxy.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiolibproxy.so
 
(acroread-en:12136): Gdk-WARNING **: XID collision, trouble ahead
 
BoredOOMM
Level 1
Level 1
 
Posts: 23
Joined: Wed Jul 29, 2009 11:20 pm

Re: Adobe will not print PDF LMDE

Postby DrHu on Sun Oct 09, 2011 2:33 pm

  • what does CUPS indicate, check //localhost:631 for the CUPS web interface
  • Try a dfifferent PDF viewer, such as evince etc, see if they have the same problem
    --if not then it is your pdf viewer (Adobe) configuration issue..
  • Install the cups-bsd package as well
  • Install a cups-pdf printer driver for that printer and see if you can create a pdf printer file to view (from the printer)
User avatar
DrHu
Level 16
Level 16
 
Posts: 6880
Joined: Wed Jun 17, 2009 8:20 pm

Re: Adobe will not print PDF LMDE

Postby BoredOOMM on Sun Oct 09, 2011 3:26 pm

DrHu wrote:
  • what does CUPS indicate, check //localhost:631 for the CUPS web interface
  • Try a dfifferent PDF viewer, such as evince etc, see if they have the same problem
    --if not then it is your pdf viewer (Adobe) configuration issue..
  • Install the cups-bsd package as well
  • Install a cups-pdf printer driver for that printer and see if you can create a pdf printer file to view (from the printer)


OP states
BoredOOMM wrote: I can open PDF with document viewer and print, but Acroread will not print at all.


What are you wanting checked in cups?!? I can print test page and Gnome Document Viewer (Evince?) prints. The errors are with Adobe. I am going to remove and reinstall to see if this happens. NO errors were found on the Ubuntu 10.10 I wiped to install LMDE.
BoredOOMM
Level 1
Level 1
 
Posts: 23
Joined: Wed Jul 29, 2009 11:20 pm

Re: Adobe will not print PDF LMDE

Postby BoredOOMM on Sun Oct 09, 2011 3:49 pm

Digging back from the error " /usr/lib/gio/modules/libdconfsettings.so " Google found this error with Adobe Air-

http://ubuntuforums.org/showthread.php?t=1051402 pointing toward ia32libs

I reinstalled is-32libs and the Debian found from Package Manager and also reinstalled cups including cups-bsd and cups-pdf

The file again prints, so I will mark as solved.
BoredOOMM
Level 1
Level 1
 
Posts: 23
Joined: Wed Jul 29, 2009 11:20 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 5 guests